Bug 979852 - Fix kernelName in new-kernel-pkg to match installkernel
Fix kernelName in new-kernel-pkg to match installkernel
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
ppc64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-30 23:13 EDT by Tony Breeds
Modified: 2015-02-18 06:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-18 06:12:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fix new-kernel-pkg to match installkernel in it's naming of the kernel on ppc/ppc64 (870 bytes, patch)
2013-06-30 23:13 EDT, Tony Breeds
no flags Details | Diff

  None (edit)
Description Tony Breeds 2013-06-30 23:13:07 EDT
When running "make install" from a kernel source tree /boot is correctly populated with a kernel and initrd but the grun config is not correctly updated.

This seems to be because the kernel is called 'vmlinux*' and new-kernel-pkg is looking for vmlinuz by default.

Fix new-kernel-pkg to match installkernel in it's naming of the kernel on ppc/ppc64
Comment 1 Tony Breeds 2013-06-30 23:13:51 EDT
Created attachment 767209 [details]
Fix new-kernel-pkg to match installkernel in it's naming of the kernel on ppc/ppc64
Comment 2 rmarshall 2014-12-11 15:17:05 EST
Tony, thank you for pointing this issue out and submitting a patch.

Invocation of "make install" in a kernel source tree calls installkernel which then invokes new-kernel-pkg.  However, new-kernel-pkg is also invoked during the installation of a new kernel via rpm.

To maintain compatibility I have altered the patch such that installkernel will pass a parameter to new-kernel-pkg letting it know the correct kernel name.

This allows new-kernel-pkg to work both when invoked by "make install" and the package manager.

The patch will be applied in the next version of grubby.
Comment 3 Fedora End Of Life 2015-01-09 17:34:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 06:12:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.